Retrieve all Users
This endpoint enables retrieving all Users using pagination and optional filters.
The token can be generated using the Authentication API.
The ID (UUID) of the Cluster.
e69b22a5-8fee-56b1-b6fb-4a07e4205eadReturned all requested Users successfully.
ID of the list of User resources.
434e0c83-031d-5f5a-be82-63ee54dda025The type of the resource.
The URL of the list of User resources.
/clusters/{clusterId}/usersBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /clusters/{clusterId}/users HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "434e0c83-031d-5f5a-be82-63ee54dda025",
"type": "collection",
"href": "/clusters/{clusterId}/users",
"items": [
{
"id": "d11db12c-2625-5664-afd4-a3599731b5af",
"type": "user",
"href": "/clusters/{clusterId}/users/d11db12c-2625-5664-afd4-a3599731b5af",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"message": "In progress."
},
"properties": {
"name": "my-kafka-cluster-user"
}
}
]
}Last updated
Was this helpful?